Package com.opensymphony.sitemesh.webapp

# Class SiteMeshWebAppContext

java.lang.Object
com.opensymphony.sitemesh.webapp.SiteMeshWebAppContext

All Implemented Interfaces:
  `SiteMeshContext`

public class SiteMeshWebAppContext extends Object implements SiteMeshContext

Since:
  SiteMesh 3
Author:
  Joe Walnes

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`contentType`
`private static final String`
`IS_USING_STRING_KEY`
`private final javax.servlet.http.HttpServletRequest`
`request`
`private final javax.servlet.http.HttpServletResponse`
`response`
`private final javax.servlet.ServletContext`
`servletContext`

## Constructor Summary

Constructors
Constructor
Description
`SiteMeshWebAppContext(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
`javax.servlet.http.HttpServletRequest`
`getRequest()`
`javax.servlet.http.HttpServletResponse`
`getResponse()`
`javax.servlet.ServletContext`
`getServletContext()`
`boolean`
`isUsingStream()`
`void`
`setContentType(String contentType)`
`void`
`setUsingStream(boolean isUsingStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IS_USING_STRING_KEY

private static final String IS_USING_STRING_KEY

See Also:
  - Constant Field Values

### request

private final javax.servlet.http.HttpServletRequest request

### response

private final javax.servlet.http.HttpServletResponse response

### servletContext

private final javax.servlet.ServletContext servletContext

### contentType

private String contentType

## Constructor Details

### SiteMeshWebAppContext

public SiteMeshWebAppContext(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)

## Method Details

### getRequest

public javax.servlet.http.HttpServletRequest getRequest()

### getResponse

public javax.servlet.http.HttpServletResponse getResponse()

### getServletContext

public javax.servlet.ServletContext getServletContext()

### isUsingStream

public boolean isUsingStream()

### setUsingStream

public void setUsingStream(boolean isUsingStream)

### getContentType

public String getContentType()

Specified by:
  `getContentType` in interface `SiteMeshContext`

### setContentType

public void setContentType(String contentType)

Specified by:
  `setContentType` in interface `SiteMeshContext`